package com.hw.ems.report.service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

/**
 * 能源分析Service接口
 *
 * @author YinQ
 * @date 2023-04-05
 */
public interface IBoardService {

    /**
     * 表具信息
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> tablewareInfo(Map paramMap);


    /**
     * 园区首页概览
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> parkHomepageOverview(Map paramMap);

    /**
     * 30天分项业态占比图
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> categoryBusinessChart(Map paramMap);

    /**
     * 接入园区、设备数量
     * @param paramMap
     * @return
     */
    Map<String, Object> parkEquipmentNumber(Map paramMap);


    /**
     * 各园区能耗排名
     * @param paramMap
     * @return
     */
    ArrayList<HashMap<String, Object>> parkEnergyRanking(Map paramMap);
}
